petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISLocalToGlobalMappingRestoreInfo

Frees the memory allocated by ISLocalToGlobalMappingGetInfo()

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISLocalToGlobalMappingRestoreInfo(ISLocalToGlobalMapping mapping,PetscInt *nproc,PetscInt *procs[],PetscInt *numprocs[],PetscInt **indices[])

Collective on ISLocalToGlobalMapping Many br

### Input Parameters

mapping -the mapping from local to global indexing Many br

### Output Parameter

| nproc | - number of processors that are connected to this one Many br
| proc | - neighboring processors Many br
| numproc | - number of indices for each processor Many br
| indices | - indices of local nodes shared with neighbor (sorted by global numbering) Many br

Many br

### See Also

ISLocalToGlobalMappingDestroy(), ISLocalToGlobalMappingCreateIS(), ISLocalToGlobalMappingCreate(),
ISLocalToGlobalMappingGetInfo() Many br

Level:advanced
Location:src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages